aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2016-09-21 12:51:00 -0300
committerSilvio Rhatto <rhatto@riseup.net>2016-09-21 12:51:00 -0300
commit07b03c209966c0c2acf4e0c1f0fbd122e773fbc3 (patch)
treebf6aa634a86f405f65322fa452ecad1ee5590325
parentc6414a872cf187360bb39f23a4bbdf0010806c7d (diff)
downloadpuppet-bootstrap-07b03c209966c0c2acf4e0c1f0fbd122e773fbc3.tar.gz
puppet-bootstrap-07b03c209966c0c2acf4e0c1f0fbd122e773fbc3.tar.bz2
Deploy: check for sudo config
-rwxr-xr-xbin/dependencies5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/dependencies b/bin/dependencies
index 7cf3b90..4330730 100755
--- a/bin/dependencies
+++ b/bin/dependencies
@@ -16,6 +16,11 @@ DEVELOP_DEPENDENCIES="git mr whois hiera-eyaml"
# Set sudo config
if [ "`whoami`" != 'root' ]; then
SUDO="sudo"
+
+ if ! sudo -n true; then
+ echo "Please set passwordless sudo."
+ exit 1
+ fi
fi
# Install a package, thanks to the Hydra Suite.